<?php
/*
  
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce
*/

  class ht_email {
    var $code = 'ht_email';
    var $group = 'footer_scripts';
    var $title;
    var $description;
    var $icon;
    var $enabled = false;

    function ht_email() {
      $this->title = MODULE_HEADER_TAGS_EMAIL_NOINDEX_TITLE;
      $this->description = MODULE_HEADER_TAGS_EMAIL_NOINDEX_DESCRIPTION;
      $this->icon = '';
      if( defined('MODULE_HEADER_TAGS_EMAIL_STATUS')){
      $this->enabled = ((MODULE_HEADER_TAGS_EMAIL_STATUS == 'True') ? true : false);
      }
    }

    function execute() {
      global $PHP_SELF, $oscTemplate, $customer_id;

      if ( tep_not_null(MODULE_HEADER_TAGS_EMAIL_BID) ) {
        $header = "
<script>
        var nv=nv||function(){(window.nv.q=window.nv.q||[]).push(arguments)};nv.l=new Date;var notify_visitors=notify_visitors||function(){
        var e={initialize:!1,ab_overlay:!1,auth:{ bid_e:'" .tep_output_string(MODULE_HEADER_TAGS_EMAIL_BID_E). "',bid:'" .tep_output_string(MODULE_HEADER_TAGS_EMAIL_BID). "',t:'420'}};
        return e.data={bid_e:e.auth.bid_e,bid:e.auth.bid,t:e.auth.t,iFrame:window!==window.parent,trafficSource:document.referrer,link_referrer:document.referrer,pageUrl:document.location,path:location.pathname,domain:location.origin,gmOffset:60*(new Date).getTimezoneOffset()*-1,screenWidth:screen.width,screenHeight:screen.height,cookieData:document.cookie},e.options=function(t){t&&'object'==typeof t?e.ab_overlay=t.ab_overlay:console.log('Not a valid option')},e.tokens=function(t){e.data.tokens=t&&'object'==typeof t?JSON.stringify(t):''},e.ruleData=function(t){e.data.ruleData=t&&'object'==typeof t?JSON.stringify(t):''},e.getParams=function(e){url=window.location.href.toLowerCase(),e=e.replace(/[\[\]]/g,'\\$&').toLowerCase();var t=new RegExp('[?&]'+e+'(=([^&#]*)|&|#|$)').exec(url);return t&&t[2]?decodeURIComponent(t[2].replace(/\+/g,' ')):''},e.init=function(){if(e.auth&&!e.initialize&&(e.data.storage=e.browserStorage(),e.js_callback='nv_json1',!e.data.iFrame&&'noapi'!==e.getParams('nvcheck'))){var t='?';if(e.ab_overlay){var o=document.createElement('style'),n='body{opacity:0 !important;filter:alpha(opacity=0) !important;background:none !important;}',a=document.getElementsByTagName('head')[0];o.setAttribute('id','_nv_hm_hidden_element'),o.setAttribute('type','text/css'),o.styleSheet?o.styleSheet.cssText=n:o.appendChild(document.createTextNode(n)),a.appendChild(o),setTimeout(function(){var e=this.document.getElementById('_nv_hm_hidden_element');if(e)try{e.parentNode.removeChild(e)}catch(t){e.remove()}},2e3)}for(var i in e.data)e.data.hasOwnProperty(i)&&(t+=encodeURIComponent(i)+'='+encodeURIComponent(e.data[i])+'&');e.load('https://www.notifyvisitors.com/ext/v1/settings'+t),e.initialize=!0}},e.browserStorage=function(){var t={session:e.storage('sessionStorage'),local:e.storage('localStorage')};return JSON.stringify(t)},e.storage=function(e){var t={};return window[e].length>0&&Object.keys(window[e]).forEach(function(o){-1!==o.indexOf('_nv_')&&(t[o]=window[e][o])}),t},e.load=function(e){var t=document,o=t.createElement('script');o.src=e,o.type='text/javascript',t.body?t.body.appendChild(o):t.head.appendChild(o)},e}();
        
        notify_visitors.init();
    </script>";
        $oscTemplate->addBlock($header, $this->group);
      }
    }

    
    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_HEADER_TAGS_EMAIL_STATUS');
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable NotifyVisitors Email Module', 'MODULE_HEADER_TAGS_EMAIL_STATUS', 'True', 'Do you want to add Email to your shop?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Brand ID', 'MODULE_HEADER_TAGS_EMAIL_BID', '', '', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Secret Key', 'MODULE_HEADER_TAGS_EMAIL_BID_E', '', '', '6', '0', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_HEADER_TAGS_EMAIL_STATUS', 'MODULE_HEADER_TAGS_EMAIL_BID', 'MODULE_HEADER_TAGS_EMAIL_BID_E');
    }
  }
?>

